GET api/cleanroomapi/cleanroom/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

CleanRoomViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

cleanroom_type_id

globally unique identifier

Required

communication_server_id

globally unique identifier

Required

id

globally unique identifier

None.

local_id

integer

Range: inclusive between 0 and ∞

local_name

string

None.

name

string

Required

type_of_temperature

string

Required

Response Formats

application/json, text/json

Sample:
{
  "active": true,
  "cleanroom_type_id": "188698f0-6f4f-49e9-844a-034a58ba531f",
  "communication_server_id": "a40068f7-e076-4738-94b7-0b1a3d94acfe",
  "id": "b9dcd93c-a4b3-4d24-a9e8-3390bceafef1",
  "local_id": 1,
  "local_name": "sample string 3",
  "name": "sample string 4",
  "type_of_temperature": "sample string 5"
}

application/xml, text/xml

Sample:
<cleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <cleanroom_type_id>188698f0-6f4f-49e9-844a-034a58ba531f</cleanroom_type_id>
  <communication_server_id>a40068f7-e076-4738-94b7-0b1a3d94acfe</communication_server_id>
  <id>b9dcd93c-a4b3-4d24-a9e8-3390bceafef1</id>
  <local_id>1</local_id>
  <local_name>sample string 3</local_name>
  <name>sample string 4</name>
  <type_of_temperature>sample string 5</type_of_temperature>
</cleanroom>